package com.eactive.eai.authserver.custom;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

@SuppressWarnings("serial")
public class DJBOAuth2AccessTokenRequest implements Serializable {

	@JsonProperty("grant_type")
	private String grantType;
	@JsonProperty("client_id")
	private String clientId;
	@JsonProperty("client_secret")
	private String clientSecret;
	private String scope;

	public String getGrantType() {
		return grantType;
	}

	public void setGrantType(String grantType) {
		this.grantType = grantType;
	}

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public String getClientSecret() {
		return clientSecret;
	}

	public void setClientSecret(String clientSecret) {
		this.clientSecret = clientSecret;
	}

	public String getScope() {
		return scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}

	@Override
	public String toString() {
		return "DJErpOAuth2AccessTokenRequest [grantType=" + grantType + ", clientId=" + clientId
				+ ", clientSecret=" + clientSecret + ", scope=" + scope + "]";
	}
}
